devel/ruby-bond - The NetBSD Packages Collection

Improve autocompletion in Ruby

Bond is on a mission to improve autocompletion in ruby, especially
for irb/ripl. Aside from doing everything irb's can do and fixing
its quirks, Bond can autocomplete argument(s) to methods, uniquely
completing per module, per method and per argument. Bond brings
ruby autocompletion closer to bash/zsh as it provides a configuration
system and a DSL for creating custom completions and completion
rules. With this configuration system, users can customize their
autocompletions and share it with others. Bond can also load
completions that ship with gems. Bond is able to offer more than
irb's completion since it uses the full line of input when completing
as opposed to irb's last-word approach.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 8.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 8.0i386ruby25-bond-0.5.1.tgz
NetBSD 8.0i386ruby26-bond-0.5.1.tgz
NetBSD 8.0i386ruby27-bond-0.5.1.tgz
NetBSD 8.0i386ruby25-bond-0.5.1.tgz
NetBSD 8.0i386ruby26-bond-0.5.1.tgz
NetBSD 8.0i386ruby27-bond-0.5.1.tgz
NetBSD 8.0i386ruby25-bond-0.5.1.tgz
NetBSD 8.0i386ruby26-bond-0.5.1.tgz
NetBSD 8.0i386ruby27-bond-0.5.1.tgz
NetBSD 8.0powerpcruby25-bond-0.5.1.tgz
NetBSD 8.0powerpcruby26-bond-0.5.1.tgz
NetBSD 8.0powerpcruby27-bond-0.5.1.tgz
NetBSD 8.0powerpcruby25-bond-0.5.1.tgz
NetBSD 8.0powerpcruby26-bond-0.5.1.tgz
NetBSD 8.0powerpcruby27-bond-0.5.1.tgz
NetBSD 8.0powerpcruby25-bond-0.5.1.tgz
NetBSD 8.0powerpcruby26-bond-0.5.1.tgz
NetBSD 8.0powerpcruby27-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 8.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby25-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby26-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby27-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby30-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby25-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby26-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby27-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby25-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby26-bond-0.5.1.tgz
NetBSD 9.0aarch64ruby27-bond-0.5.1.tgz
NetBSD 9.0alpharuby25-bond-0.5.1.tgz
NetBSD 9.0alpharuby26-bond-0.5.1.tgz
NetBSD 9.0alpharuby27-bond-0.5.1.tgz
NetBSD 9.0alpharuby25-bond-0.5.1.tgz
NetBSD 9.0alpharuby26-bond-0.5.1.tgz
NetBSD 9.0alpharuby27-bond-0.5.1.tgz
NetBSD 9.0alpharuby25-bond-0.5.1.tgz
NetBSD 9.0alpharuby26-bond-0.5.1.tgz
NetBSD 9.0alpharuby27-bond-0.5.1.tgz
NetBSD 9.0earmruby25-bond-0.5.1.tgz
NetBSD 9.0earmruby26-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby30-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv6hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby30-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby25-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby26-bond-0.5.1.tgz
NetBSD 9.0earmv7hfruby27-bond-0.5.1.tgz
NetBSD 9.0i386ruby25-bond-0.5.1.tgz
NetBSD 9.0i386ruby26-bond-0.5.1.tgz
NetBSD 9.0i386ruby27-bond-0.5.1.tgz
NetBSD 9.0i386ruby25-bond-0.5.1.tgz
NetBSD 9.0i386ruby26-bond-0.5.1.tgz
NetBSD 9.0i386ruby27-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby25-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby26-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby27-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby25-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby26-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby27-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby25-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby26-bond-0.5.1.tgz
NetBSD 9.0mips64ebruby27-bond-0.5.1.tgz
NetBSD 9.0powerpcruby25-bond-0.5.1.tgz
NetBSD 9.0powerpcruby26-bond-0.5.1.tgz
NetBSD 9.0powerpcruby27-bond-0.5.1.tgz
NetBSD 9.0powerpcruby25-bond-0.5.1.tgz
NetBSD 9.0powerpcruby26-bond-0.5.1.tgz
NetBSD 9.0powerpcruby27-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby25-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby26-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby27-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby25-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby26-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby27-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby25-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby26-bond-0.5.1.tgz
NetBSD 9.0sparc64ruby27-bond-0.5.1.tgz
NetBSD 9.0sparcruby25-bond-0.5.1.tgz
NetBSD 9.0sparcruby25-bond-0.5.1.tgz
NetBSD 9.0sparcruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby25-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby26-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby27-bond-0.5.1.tgz
NetBSD 9.0x86_64ruby30-bond-0.5.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.